Macaulay2 » Documentation
Packages » SRdeformations :: simplexRing(Complex)
next | previous | forward | backward | up | index | toc

# simplexRing(Complex) -- The underlying polynomial ring of a complex.

- Function: simplexRing
- Usage:
    `simplexRing(C)`
- Inputs:
  - C, an embedded complex,
- Outputs:
  - a polynomial ring,

## Description

The underlying polynomial ring of C.

    i1 : R=QQ[x_0..x_4];

    i2 : C=simplex R;

    i3 : simplexRing C

    o3 = R

    o3 : PolynomialRing

    i4 : R.grading

    o4 = | -1 -1 -1 -1 |
         | 1  0  0  0  |
         | 0  1  0  0  |
         | 0  0  1  0  |
         | 0  0  0  1  |

                  5       4
    o4 : Matrix ZZ  <-- ZZ

## Ways to use this method:

- simplexRing(Complex) -- The underlying polynomial ring of a complex.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/SRdeformations.m2:5858:0.